Index: Makefile
===================================================================
RCS file: /cvs/ports/net/rabbitmq/Makefile,v
retrieving revision 1.29
diff -p -u -r1.29 Makefile
--- Makefile	10 Nov 2015 15:41:47 -0000	1.29
+++ Makefile	25 Nov 2017 18:19:23 -0000
@@ -2,10 +2,11 @@
 
 COMMENT =	highly reliable Enterprise Messaging System
 
-V =		3.5.6
+V =		3.6.14
 REVISION =	0
 DISTNAME =	rabbitmq-server-$V
 PKGNAME =	rabbitmq-$V
+EXTRACT_SUFX =	.tar.xz
 CATEGORIES =	net
 
 HOMEPAGE =	http://www.rabbitmq.com/
@@ -27,6 +28,7 @@ CONFIGURE_STYLE = none
 
 BUILD_DEPENDS =	archivers/unzip \
 		archivers/zip \
+		net/rsync \
 		textproc/docbook \
 		textproc/docbook-xsl \
 		textproc/libxslt \
@@ -38,14 +40,14 @@ RABBITUSER =	_rabbitmq
 
 SUBST_VARS +=	RABBITUSER V
 
-MODPY_ADJ_FILES +=	plugins-src/rabbitmq-amqp1.0/codegen.py
-MODPY_ADJ_FILES +=	plugins-src/rabbitmq-management/bin/rabbitmqadmin
+MODPY_ADJ_FILES +=	deps/rabbit_common/codegen.py
+MODPY_ADJ_FILES +=	deps/rabbitmq_management/bin/rabbitmqadmin
 
 NO_TEST =	Yes
 
 pre-build:
-	${SUBST_CMD} ${WRKSRC}/scripts/rabbitmqctl \
-		${WRKSRC}/scripts/rabbitmq-defaults
+	${SUBST_CMD} ${WRKSRC}/deps/rabbit/scripts/rabbitmqctl \
+		${WRKSRC}/deps/rabbit/scripts/rabbitmq-defaults
 
 post-install:
 	${INSTALL_DATA_DIR} ${PREFIX}/share/doc/rabbitmq
@@ -56,5 +58,7 @@ post-install:
 	${INSTALL_DATA_DIR} ${PREFIX}/share/examples/rabbitmq
 	${SUBST_CMD} -m 0644 -c ${FILESDIR}/rabbitmq.conf \
 		${PREFIX}/share/examples/rabbitmq/rabbitmq-env.conf
+	${SUBST_CMD} -m 0644 -c ${WRKSRC}/deps/rabbit/docs/rabbitmq.config.example \
+		${PREFIX}/share/examples/rabbitmq/rabbitmq.config
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /cvs/ports/net/rabbitmq/distinfo,v
retrieving revision 1.8
diff -p -u -r1.8 distinfo
--- distinfo	5 Nov 2015 10:49:03 -0000	1.8
+++ distinfo	25 Nov 2017 18:19:23 -0000
@@ -1,2 +1,2 @@
-SHA256 (rabbitmq-server-3.5.6.tar.gz) = JL4UMyNBEts5Hgxe8yv7LKER5RsuV5mMwPPZe6NhZx8=
-SIZE (rabbitmq-server-3.5.6.tar.gz) = 3747595
+SHA256 (rabbitmq-server-3.6.14.tar.xz) = 129J2S3uyHh24UIHH3HVFZLvpy5hYzWoDyL5VC2NuLA=
+SIZE (rabbitmq-server-3.6.14.tar.xz) = 1508216
Index: patches/patch-Makefile
===================================================================
RCS file: /cvs/ports/net/rabbitmq/patches/patch-Makefile,v
retrieving revision 1.9
diff -p -u -r1.9 patch-Makefile
--- patches/patch-Makefile	5 Nov 2015 10:49:03 -0000	1.9
+++ patches/patch-Makefile	25 Nov 2017 18:19:23 -0000
@@ -1,108 +1,90 @@
-$OpenBSD: patch-Makefile,v 1.9 2015/11/05 10:49:03 jasper Exp $
---- Makefile.orig	Wed Oct  7 14:45:15 2015
-+++ Makefile	Wed Oct 28 19:23:44 2015
-@@ -25,26 +25,11 @@ MANPAGES=$(patsubst %.xml, %.gz, $(wildcard $(DOCS_DIR
- WEB_MANPAGES=$(patsubst %.xml, %.man.xml, $(wildcard $(DOCS_DIR)/*.[0-9].xml) $(DOCS_DIR)/rabbitmq-service.xml $(DOCS_DIR)/rabbitmq-echopid.xml)
- USAGES_XML=$(DOCS_DIR)/rabbitmqctl.1.xml $(DOCS_DIR)/rabbitmq-plugins.1.xml
- USAGES_ERL=$(foreach XML, $(USAGES_XML), $(call usage_xml_to_erl, $(XML)))
-+TARGET_DIR=$(PREFIX)/lib/rabbitmq
-+SBIN_DIR=$(PREFIX)/sbin
-+MAN_DIR=$(PREFIX)/man
-+DOC_INSTALL_DIR=$(PREFIX)/share/doc/rabbitmq/
- 
--ifeq ($(shell python -c 'import simplejson' 2>/dev/null && echo yes),yes)
--PYTHON=python
--else
--ifeq ($(shell python2.7 -c 'import json' 2>/dev/null && echo yes),yes)
--PYTHON=python2.7
--else
--ifeq ($(shell python2.6 -c 'import simplejson' 2>/dev/null && echo yes),yes)
--PYTHON=python2.6
--else
--ifeq ($(shell python2.5 -c 'import simplejson' 2>/dev/null && echo yes),yes)
--PYTHON=python2.5
--else
--# Hmm. Missing simplejson?
--PYTHON=python
--endif
--endif
--endif
--endif
--
- BASIC_PLT=basic.plt
- RABBIT_PLT=rabbit.plt
- 
-@@ -103,6 +88,10 @@ ERL_CALL=erl_call -sname $(RABBITMQ_NODENAME) -e
- 
- ERL_EBIN=erl -noinput -pa $(EBIN_DIR)
- 
-+CHECK_NAME=rabbitmq-check
-+CHECK_DIR=/tmp/$(CHECK_NAME)
-+CHECK_CALL=HOME=$(CHECK_DIR) erl_call -sname $(CHECK_NAME) -e
-+
- define usage_xml_to_erl
-   $(subst __,_,$(patsubst $(DOCS_DIR)/rabbitmq%.1.xml, $(SOURCE_DIR)/rabbit_%_usage.erl, $(subst -,_,$(1))))
- endef
-@@ -117,7 +106,7 @@ endef
- 
- ifneq "$(SBIN_DIR)" ""
- ifneq "$(TARGET_DIR)" ""
--SCRIPTS_REL_PATH=$(shell ./calculate-relative $(TARGET_DIR)/sbin $(SBIN_DIR))
-+SCRIPTS_REL_PATH="../lib/rabbitmq/sbin"
- endif
- endif
- 
-@@ -210,7 +199,7 @@ clean:
- 	rm -f $(PLUGINS_DIR)/*.ez
- 	[ -d "$(PLUGINS_SRC_DIR)" ] && PLUGINS_SRC_DIR="" PRESERVE_CLONE_DIR=1 make -C $(PLUGINS_SRC_DIR) clean || true
- 	rm -f $(INCLUDE_DIR)/rabbit_framing.hrl $(SOURCE_DIR)/rabbit_framing_amqp_*.erl codegen.pyc
--	rm -f $(DOCS_DIR)/*.[0-9].gz $(DOCS_DIR)/*.man.xml $(DOCS_DIR)/*.erl $(USAGES_ERL)
-+	rm -f $(DOCS_DIR)/*.[0-9] $(DOCS_DIR)/*.man.xml $(DOCS_DIR)/*.erl $(USAGES_ERL)
- 	rm -f $(RABBIT_PLT)
- 	rm -f $(DEPS_FILE)
- 
-@@ -261,6 +250,25 @@ run-qc: all
- 	./quickcheck $(RABBITMQ_NODENAME) rabbit_backing_queue_qc 100 40
- 	./quickcheck $(RABBITMQ_NODENAME) gm_qc 1000 200
- 
-+regress:
-+	@[ "`id -u`" != "0" ] || (echo "Don't run tests as a superuser." && false)
-+	rm -rf $(CHECK_DIR)
-+	mkdir -m 777 -p $(CHECK_DIR)
-+	HOME=$(CHECK_DIR) \
-+		RABBITMQ_NODENAME="$(CHECK_NAME)" \
-+		RABBITMQ_NODE_PORT="45672" \
-+		RABBITMQ_LOG_BASE="$(CHECK_DIR)/logs" \
-+		RABBITMQ_MNESIA_BASE="$(CHECK_DIR)/mnesia" \
-+		RABBITMQ_PLUGINS_EXPAND_DIR="$(CHECK_DIR)/plugins" \
-+		RABBITMQ_ENABLED_PLUGINS_FILE="$(CHECK_DIR)/none" \
-+		RABBITMQ_SERVER_START_ARGS="$(RABBITMQ_SERVER_START_ARGS) -detached" \
-+		./scripts/rabbitmq-server
-+	@sleep 5
-+	OUT=$$(echo "rabbit_tests:all_tests()." | $(CHECK_CALL)) ; \
-+		echo $$OUT ; echo $$OUT | grep '^{ok, passed}$$' > /dev/null || \
-+		($(CHECK_CALL) -q && rm -rf $(CHECK_DIR) && false)
-+	$(CHECK_CALL) -q && rm -rf $(CHECK_DIR) && echo "Passed."
-+
- start-background-node: all
- 	-rm -f $(RABBITMQ_MNESIA_DIR).pid
- 	mkdir -p $(RABBITMQ_MNESIA_DIR)
-@@ -348,8 +356,7 @@ distclean: clean
- %.gz: %.xml $(DOCS_DIR)/examples-to-end.xsl
- 	xmlto --version | grep -E '^xmlto version 0\.0\.([0-9]|1[1-8])$$' >/dev/null || opt='--stringparam man.indent.verbatims=0' ; \
- 	    xsltproc --novalid $(DOCS_DIR)/examples-to-end.xsl $< > $<.tmp && \
--	    xmlto -o $(DOCS_DIR) $$opt man $<.tmp && \
--	    gzip -f $(DOCS_DIR)/`basename $< .xml`
-+	    xmlto -o $(DOCS_DIR) $$opt man $<.tmp
- 	rm -f $<.tmp
- 
- # Use tmp files rather than a pipeline so that we get meaningful errors
-@@ -393,7 +400,7 @@ install_bin: all install_dirs
- install_docs: docs_all install_dirs
- 	for section in 1 5; do \
- 		mkdir -p $(MAN_DIR)/man$$section; \
--		for manpage in $(DOCS_DIR)/*.$$section.gz; do \
-+		for manpage in $(DOCS_DIR)/*.$$section; do \
- 			cp $$manpage $(MAN_DIR)/man$$section; \
+$OpenBSD$
+Index: Makefile
+--- Makefile.orig
++++ Makefile
+@@ -238,11 +238,12 @@ DESTDIR ?=
+ PREFIX ?= /usr/local
+ WINDOWS_PREFIX ?= rabbitmq-server-windows-$(PROJECT_VERSION)
+ 
+-MANDIR ?= $(PREFIX)/share/man
+-RMQ_ROOTDIR ?= $(PREFIX)/lib/erlang
++MANDIR ?= $(PREFIX)/man
++RMQ_ROOTDIR ?= $(PREFIX)
+ RMQ_BINDIR ?= $(RMQ_ROOTDIR)/bin
++RMQ_SBINDIR ?= $(RMQ_ROOTDIR)/sbin
+ RMQ_LIBDIR ?= $(RMQ_ROOTDIR)/lib
+-RMQ_ERLAPP_DIR ?= $(RMQ_LIBDIR)/rabbitmq_server-$(PROJECT_VERSION)
++RMQ_ERLAPP_DIR ?= $(RMQ_LIBDIR)/rabbitmq
+ 
+ SCRIPTS = rabbitmq-defaults \
+ 	  rabbitmq-env \
+@@ -263,55 +264,54 @@ UNIX_TO_DOS ?= todos
+ inst_verbose_0 = @echo " INST  " $@;
+ inst_verbose = $(inst_verbose_$(V))
+ 
+-install: install-erlapp install-scripts
++install: install-erlapp install-bin install-man
+ 
+ install-erlapp: dist
+-	$(verbose) mkdir -p $(DESTDIR)$(RMQ_ERLAPP_DIR)
++	$(verbose) mkdir -p $(RMQ_ERLAPP_DIR)
+ 	$(inst_verbose) cp -r \
+ 		LICENSE* \
+ 		$(DEPS_DIR)/rabbit/ebin \
+ 		$(DEPS_DIR)/rabbit/INSTALL \
+ 		$(DIST_DIR) \
+-		$(DESTDIR)$(RMQ_ERLAPP_DIR)
++		$(RMQ_ERLAPP_DIR)
+ 	$(verbose) echo "Put your EZs here and use rabbitmq-plugins to enable them." \
+-		> $(DESTDIR)$(RMQ_ERLAPP_DIR)/$(notdir $(DIST_DIR))/README
++		> $(RMQ_ERLAPP_DIR)/$(notdir $(DIST_DIR))/README
+ 
+ 	@# FIXME: Why do we copy headers?
+ 	$(verbose) cp -r \
+ 		$(DEPS_DIR)/rabbit/include \
+-		$(DESTDIR)$(RMQ_ERLAPP_DIR)
++		$(RMQ_ERLAPP_DIR)
+ 	@# rabbitmq-common provides headers too: copy them to
+ 	@# rabbitmq_server/include.
+ 	$(verbose) cp -r \
+ 		$(DEPS_DIR)/rabbit_common/include \
+-		$(DESTDIR)$(RMQ_ERLAPP_DIR)
++		$(RMQ_ERLAPP_DIR)
+ 
+ install-scripts:
+-	$(verbose) mkdir -p $(DESTDIR)$(RMQ_ERLAPP_DIR)/sbin
++	$(verbose) mkdir -p $(RMQ_ERLAPP_DIR)/sbin
+ 	$(inst_verbose) for script in $(SCRIPTS); do \
+ 		cp "$(DEPS_DIR)/rabbit/scripts/$$script" \
+-			"$(DESTDIR)$(RMQ_ERLAPP_DIR)/sbin"; \
+-		chmod 0755 "$(DESTDIR)$(RMQ_ERLAPP_DIR)/sbin/$$script"; \
++			"$(RMQ_ERLAPP_DIR)/sbin"; \
++		chmod 0755 "$(RMQ_ERLAPP_DIR)/sbin/$$script"; \
+ 	done
+ 
+ # FIXME: We do symlinks to scripts in $(RMQ_ERLAPP_DIR))/sbin but this
+ # code assumes a certain hierarchy to make relative symlinks.
+ install-bin: install-scripts
+-	$(verbose) mkdir -p $(DESTDIR)$(RMQ_BINDIR)
+ 	$(inst_verbose) for script in $(SCRIPTS); do \
+-		test -e $(DESTDIR)$(RMQ_BINDIR)/$$script || \
++		test -e $(RMQ_SBINDIR)/$$script || \
+ 			ln -sf ../lib/$(notdir $(RMQ_ERLAPP_DIR))/sbin/$$script \
+-			 $(DESTDIR)$(RMQ_BINDIR)/$$script; \
++			 $(RMQ_SBINDIR)/$$script; \
+ 	done
+ 
+ install-man: manpages
+ 	$(inst_verbose) sections=$$(ls -1 $(DEPS_DIR)/rabbit/docs/*.[1-9] \
+ 		| sed -E 's/.*\.([1-9])$$/\1/' | uniq | sort); \
+ 	for section in $$sections; do \
+-		mkdir -p $(DESTDIR)$(MANDIR)/man$$section; \
++		mkdir -p $(MANDIR)/man$$section; \
+ 		for manpage in $(DEPS_DIR)/rabbit/docs/*.$$section; do \
+-			gzip < $$manpage \
+-			 > $(DESTDIR)$(MANDIR)/man$$section/$$(basename $$manpage).gz; \
++			cp $$manpage \
++			$(MANDIR)/man$$section/$$(basename $$manpage); \
  		done; \
  	done
+ 
Index: patches/patch-deps_rabbit_Makefile
===================================================================
RCS file: patches/patch-deps_rabbit_Makefile
diff -N patches/patch-deps_rabbit_Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-deps_rabbit_Makefile	25 Nov 2017 18:19:23 -0000
@@ -0,0 +1,14 @@
+$OpenBSD$
+--- deps/rabbit/Makefile.orig	Mon Sep 11 09:19:16 2017
++++ deps/rabbit/Makefile	Sat Oct  7 22:23:51 2017
+@@ -127,6 +127,10 @@ MANPAGES     = $(patsubst %.xml, %, $(wildcard $(DOCS_
+ WEB_MANPAGES = $(patsubst %.xml, %.man.xml, $(wildcard $(DOCS_DIR)/*.[0-9].xml) $(DOCS_DIR)/rabbitmq-service.xml $(DOCS_DIR)/rabbitmq-echopid.xml)
+ USAGES_XML   = $(DOCS_DIR)/rabbitmqctl.1.xml $(DOCS_DIR)/rabbitmq-plugins.1.xml
+ USAGES_ERL   = $(foreach XML, $(USAGES_XML), $(call usage_xml_to_erl, $(XML)))
++TARGET_DIR   = $(PREFIX)/lib/rabbitmq
++SBIN_DIR     = $(PREFIX)/sbin
++MAN_DIR      = $(PREFIX)/man
++DOC_INSTALL_DIR=$(PREFIX)/share/doc/rabbitmq/
+ 
+ EXTRA_SOURCES += $(USAGES_ERL)
+ 
Index: patches/patch-deps_rabbit_scripts_rabbitmq-defaults
===================================================================
RCS file: patches/patch-deps_rabbit_scripts_rabbitmq-defaults
diff -N patches/patch-deps_rabbit_scripts_rabbitmq-defaults
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-deps_rabbit_scripts_rabbitmq-defaults	25 Nov 2017 18:19:23 -0000
@@ -0,0 +1,21 @@
+$OpenBSD$
+--- deps/rabbit/scripts/rabbitmq-defaults.orig	Thu Mar 16 15:19:29 2017
++++ deps/rabbit/scripts/rabbitmq-defaults	Sun Oct  8 20:36:25 2017
+@@ -19,7 +19,7 @@
+ SYS_PREFIX=
+ 
+ ### next line will be updated when generating a standalone release
+-ERL_DIR=
++ERL_DIR=/usr/local/lib/erlang18/bin/
+ 
+ CLEAN_BOOT_FILE=start_clean
+ SASL_BOOT_FILE=start_sasl
+@@ -36,7 +36,7 @@ BOOT_MODULE="rabbit"
+ 
+ CONFIG_FILE=${SYS_PREFIX}/etc/rabbitmq/rabbitmq
+ LOG_BASE=${SYS_PREFIX}/var/log/rabbitmq
+-MNESIA_BASE=${SYS_PREFIX}/var/lib/rabbitmq/mnesia
++MNESIA_BASE=${SYS_PREFIX}/var/rabbitmq/mnesia
+ ENABLED_PLUGINS_FILE=${SYS_PREFIX}/etc/rabbitmq/enabled_plugins
+ 
+ PLUGINS_DIR="${RABBITMQ_HOME}/plugins"
Index: pkg/PLIST
===================================================================
RCS file: /cvs/ports/net/rabbitmq/pkg/PLIST,v
retrieving revision 1.9
diff -p -u -r1.9 PLIST
--- pkg/PLIST	5 Nov 2015 10:49:03 -0000	1.9
+++ pkg/PLIST	25 Nov 2017 18:19:23 -0000
@@ -1,29 +1,15 @@
-@comment $OpenBSD: PLIST,v 1.9 2015/11/05 10:49:03 jasper Exp $
+@comment $OpenBSD$
 @newgroup _rabbitmq:646
 @newuser _rabbitmq:646:_rabbitmq:daemon:RabbitMQ account:/var/rabbitmq:/sbin/nologin
 lib/rabbitmq/
 lib/rabbitmq/ebin/
-lib/rabbitmq/ebin/app_utils.beam
 lib/rabbitmq/ebin/background_gc.beam
-lib/rabbitmq/ebin/credit_flow.beam
-lib/rabbitmq/ebin/delegate.beam
-lib/rabbitmq/ebin/delegate_sup.beam
 lib/rabbitmq/ebin/dtree.beam
-lib/rabbitmq/ebin/file_handle_cache.beam
-lib/rabbitmq/ebin/file_handle_cache_stats.beam
 lib/rabbitmq/ebin/gatherer.beam
-lib/rabbitmq/ebin/gen_server2.beam
 lib/rabbitmq/ebin/gm.beam
 lib/rabbitmq/ebin/lqueue.beam
-lib/rabbitmq/ebin/mirrored_supervisor.beam
 lib/rabbitmq/ebin/mirrored_supervisor_sups.beam
-lib/rabbitmq/ebin/mnesia_sync.beam
-lib/rabbitmq/ebin/mochijson2.beam
-lib/rabbitmq/ebin/mochinum.beam
-lib/rabbitmq/ebin/pg2_fixed.beam
 lib/rabbitmq/ebin/pg_local.beam
-lib/rabbitmq/ebin/pmon.beam
-lib/rabbitmq/ebin/priority_queue.beam
 lib/rabbitmq/ebin/rabbit.app
 lib/rabbitmq/ebin/rabbit.beam
 lib/rabbitmq/ebin/rabbit_access_control.beam
@@ -32,31 +18,30 @@ lib/rabbitmq/ebin/rabbit_amqqueue.beam
 lib/rabbitmq/ebin/rabbit_amqqueue_process.beam
 lib/rabbitmq/ebin/rabbit_amqqueue_sup.beam
 lib/rabbitmq/ebin/rabbit_amqqueue_sup_sup.beam
-lib/rabbitmq/ebin/rabbit_app.in
-lib/rabbitmq/ebin/rabbit_auth_backend_dummy.beam
 lib/rabbitmq/ebin/rabbit_auth_backend_internal.beam
-lib/rabbitmq/ebin/rabbit_auth_mechanism.beam
 lib/rabbitmq/ebin/rabbit_auth_mechanism_amqplain.beam
 lib/rabbitmq/ebin/rabbit_auth_mechanism_cr_demo.beam
 lib/rabbitmq/ebin/rabbit_auth_mechanism_plain.beam
-lib/rabbitmq/ebin/rabbit_authn_backend.beam
-lib/rabbitmq/ebin/rabbit_authz_backend.beam
 lib/rabbitmq/ebin/rabbit_autoheal.beam
-lib/rabbitmq/ebin/rabbit_backing_queue.beam
 lib/rabbitmq/ebin/rabbit_basic.beam
-lib/rabbitmq/ebin/rabbit_binary_generator.beam
-lib/rabbitmq/ebin/rabbit_binary_parser.beam
 lib/rabbitmq/ebin/rabbit_binding.beam
+lib/rabbitmq/ebin/rabbit_boot_steps.beam
 lib/rabbitmq/ebin/rabbit_channel.beam
 lib/rabbitmq/ebin/rabbit_channel_interceptor.beam
 lib/rabbitmq/ebin/rabbit_channel_sup.beam
 lib/rabbitmq/ebin/rabbit_channel_sup_sup.beam
 lib/rabbitmq/ebin/rabbit_cli.beam
 lib/rabbitmq/ebin/rabbit_client_sup.beam
-lib/rabbitmq/ebin/rabbit_command_assembler.beam
 lib/rabbitmq/ebin/rabbit_connection_helper_sup.beam
 lib/rabbitmq/ebin/rabbit_connection_sup.beam
 lib/rabbitmq/ebin/rabbit_control_main.beam
+lib/rabbitmq/ebin/rabbit_control_pbe.beam
+lib/rabbitmq/ebin/rabbit_core_metrics_gc.beam
+lib/rabbitmq/ebin/rabbit_credential_validation.beam
+lib/rabbitmq/ebin/rabbit_credential_validator.beam
+lib/rabbitmq/ebin/rabbit_credential_validator_accept_everything.beam
+lib/rabbitmq/ebin/rabbit_credential_validator_min_password_length.beam
+lib/rabbitmq/ebin/rabbit_credential_validator_password_regexp.beam
 lib/rabbitmq/ebin/rabbit_ctl_usage.beam
 lib/rabbitmq/ebin/rabbit_dead_letter.beam
 lib/rabbitmq/ebin/rabbit_diagnostics.beam
@@ -65,24 +50,24 @@ lib/rabbitmq/ebin/rabbit_disk_monitor.be
 lib/rabbitmq/ebin/rabbit_epmd_monitor.beam
 lib/rabbitmq/ebin/rabbit_error_logger.beam
 lib/rabbitmq/ebin/rabbit_error_logger_file_h.beam
-lib/rabbitmq/ebin/rabbit_event.beam
 lib/rabbitmq/ebin/rabbit_exchange.beam
 lib/rabbitmq/ebin/rabbit_exchange_decorator.beam
-lib/rabbitmq/ebin/rabbit_exchange_type.beam
+lib/rabbitmq/ebin/rabbit_exchange_parameters.beam
 lib/rabbitmq/ebin/rabbit_exchange_type_direct.beam
 lib/rabbitmq/ebin/rabbit_exchange_type_fanout.beam
 lib/rabbitmq/ebin/rabbit_exchange_type_headers.beam
 lib/rabbitmq/ebin/rabbit_exchange_type_invalid.beam
 lib/rabbitmq/ebin/rabbit_exchange_type_topic.beam
+lib/rabbitmq/ebin/rabbit_fhc_helpers.beam
 lib/rabbitmq/ebin/rabbit_file.beam
 lib/rabbitmq/ebin/rabbit_framing.beam
-lib/rabbitmq/ebin/rabbit_framing_amqp_0_8.beam
-lib/rabbitmq/ebin/rabbit_framing_amqp_0_9_1.beam
 lib/rabbitmq/ebin/rabbit_guid.beam
-lib/rabbitmq/ebin/rabbit_heartbeat.beam
+lib/rabbitmq/ebin/rabbit_health_check.beam
+lib/rabbitmq/ebin/rabbit_hipe.beam
 lib/rabbitmq/ebin/rabbit_limiter.beam
-lib/rabbitmq/ebin/rabbit_log.beam
+lib/rabbitmq/ebin/rabbit_looking_glass.beam
 lib/rabbitmq/ebin/rabbit_memory_monitor.beam
+lib/rabbitmq/ebin/rabbit_metrics.beam
 lib/rabbitmq/ebin/rabbit_mirror_queue_coordinator.beam
 lib/rabbitmq/ebin/rabbit_mirror_queue_master.beam
 lib/rabbitmq/ebin/rabbit_mirror_queue_misc.beam
@@ -92,25 +77,25 @@ lib/rabbitmq/ebin/rabbit_mirror_queue_mo
 lib/rabbitmq/ebin/rabbit_mirror_queue_mode_nodes.beam
 lib/rabbitmq/ebin/rabbit_mirror_queue_slave.beam
 lib/rabbitmq/ebin/rabbit_mirror_queue_sync.beam
-lib/rabbitmq/ebin/rabbit_misc.beam
 lib/rabbitmq/ebin/rabbit_mnesia.beam
 lib/rabbitmq/ebin/rabbit_mnesia_rename.beam
 lib/rabbitmq/ebin/rabbit_msg_file.beam
 lib/rabbitmq/ebin/rabbit_msg_store.beam
 lib/rabbitmq/ebin/rabbit_msg_store_ets_index.beam
 lib/rabbitmq/ebin/rabbit_msg_store_gc.beam
-lib/rabbitmq/ebin/rabbit_msg_store_index.beam
-lib/rabbitmq/ebin/rabbit_net.beam
 lib/rabbitmq/ebin/rabbit_networking.beam
 lib/rabbitmq/ebin/rabbit_node_monitor.beam
 lib/rabbitmq/ebin/rabbit_nodes.beam
 lib/rabbitmq/ebin/rabbit_parameter_validation.beam
+lib/rabbitmq/ebin/rabbit_password.beam
+lib/rabbitmq/ebin/rabbit_password_hashing_md5.beam
+lib/rabbitmq/ebin/rabbit_password_hashing_sha256.beam
+lib/rabbitmq/ebin/rabbit_password_hashing_sha512.beam
 lib/rabbitmq/ebin/rabbit_plugins.beam
 lib/rabbitmq/ebin/rabbit_plugins_main.beam
 lib/rabbitmq/ebin/rabbit_plugins_usage.beam
 lib/rabbitmq/ebin/rabbit_policies.beam
 lib/rabbitmq/ebin/rabbit_policy.beam
-lib/rabbitmq/ebin/rabbit_policy_validator.beam
 lib/rabbitmq/ebin/rabbit_prelaunch.beam
 lib/rabbitmq/ebin/rabbit_prequeue.beam
 lib/rabbitmq/ebin/rabbit_priority_queue.beam
@@ -118,71 +103,78 @@ lib/rabbitmq/ebin/rabbit_queue_collector
 lib/rabbitmq/ebin/rabbit_queue_consumers.beam
 lib/rabbitmq/ebin/rabbit_queue_decorator.beam
 lib/rabbitmq/ebin/rabbit_queue_index.beam
+lib/rabbitmq/ebin/rabbit_queue_location_client_local.beam
+lib/rabbitmq/ebin/rabbit_queue_location_min_masters.beam
+lib/rabbitmq/ebin/rabbit_queue_location_random.beam
+lib/rabbitmq/ebin/rabbit_queue_location_validator.beam
+lib/rabbitmq/ebin/rabbit_queue_master_location_misc.beam
 lib/rabbitmq/ebin/rabbit_reader.beam
 lib/rabbitmq/ebin/rabbit_recovery_terms.beam
 lib/rabbitmq/ebin/rabbit_registry.beam
 lib/rabbitmq/ebin/rabbit_restartable_sup.beam
 lib/rabbitmq/ebin/rabbit_router.beam
-lib/rabbitmq/ebin/rabbit_runtime_parameter.beam
 lib/rabbitmq/ebin/rabbit_runtime_parameters.beam
 lib/rabbitmq/ebin/rabbit_sasl_report_file_h.beam
 lib/rabbitmq/ebin/rabbit_ssl.beam
 lib/rabbitmq/ebin/rabbit_sup.beam
 lib/rabbitmq/ebin/rabbit_table.beam
 lib/rabbitmq/ebin/rabbit_trace.beam
-lib/rabbitmq/ebin/rabbit_types.beam
 lib/rabbitmq/ebin/rabbit_upgrade.beam
 lib/rabbitmq/ebin/rabbit_upgrade_functions.beam
 lib/rabbitmq/ebin/rabbit_variable_queue.beam
 lib/rabbitmq/ebin/rabbit_version.beam
 lib/rabbitmq/ebin/rabbit_vhost.beam
 lib/rabbitmq/ebin/rabbit_vm.beam
-lib/rabbitmq/ebin/rabbit_writer.beam
-lib/rabbitmq/ebin/ssl_compat.beam
 lib/rabbitmq/ebin/supervised_lifecycle.beam
-lib/rabbitmq/ebin/supervisor2.beam
-lib/rabbitmq/ebin/tcp_acceptor.beam
-lib/rabbitmq/ebin/tcp_acceptor_sup.beam
 lib/rabbitmq/ebin/tcp_listener.beam
 lib/rabbitmq/ebin/tcp_listener_sup.beam
-lib/rabbitmq/ebin/time_compat.beam
+lib/rabbitmq/ebin/term_to_binary_compat.beam
 lib/rabbitmq/ebin/truncate.beam
-lib/rabbitmq/ebin/vm_memory_monitor.beam
-lib/rabbitmq/ebin/worker_pool.beam
-lib/rabbitmq/ebin/worker_pool_sup.beam
-lib/rabbitmq/ebin/worker_pool_worker.beam
 lib/rabbitmq/include/
 lib/rabbitmq/include/gm_specs.hrl
+lib/rabbitmq/include/old_builtin_types.hrl
 lib/rabbitmq/include/rabbit.hrl
 lib/rabbitmq/include/rabbit_cli.hrl
+lib/rabbitmq/include/rabbit_core_metrics.hrl
 lib/rabbitmq/include/rabbit_framing.hrl
+lib/rabbitmq/include/rabbit_memory.hrl
+lib/rabbitmq/include/rabbit_misc.hrl
 lib/rabbitmq/include/rabbit_msg_store.hrl
 lib/rabbitmq/plugins/
 lib/rabbitmq/plugins/README
 lib/rabbitmq/plugins/amqp_client-${V}.ez
-lib/rabbitmq/plugins/cowboy-0.5.0-rmq${V}-git4b93c2d.ez
-lib/rabbitmq/plugins/eldap-${V}-gite309de4.ez
-lib/rabbitmq/plugins/mochiweb-${MODPY_VERSION}.0-rmq${V}-git680dba8.ez
+lib/rabbitmq/plugins/cowboy-1.0.4.ez
+lib/rabbitmq/plugins/cowlib-1.0.2.ez
+lib/rabbitmq/plugins/rabbit_common-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_amqp1_0-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_auth_backend_ldap-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_auth_mechanism_ssl-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_consistent_hash_exchange-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_event_exchange-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_federation-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_federation_management-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_jms_topic_exchange-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_management-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_management_agent-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_management_visualiser-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_mqtt-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_random_exchange-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_recent_history_exchange-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_sharding-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_shovel-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_shovel_management-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_stomp-${V}.ez
-lib/rabbitmq/plugins/rabbitmq_test-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_top-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_tracing-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_trust_store-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_web_dispatch-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_web_mqtt-${V}.ez
+lib/rabbitmq/plugins/rabbitmq_web_mqtt_examples-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_web_stomp-${V}.ez
 lib/rabbitmq/plugins/rabbitmq_web_stomp_examples-${V}.ez
-lib/rabbitmq/plugins/sockjs-0.3.4-rmq${V}-git3132eb9.ez
-lib/rabbitmq/plugins/webmachine-1.10.3-rmq${V}-gite9359c7.ez
+lib/rabbitmq/plugins/ranch-1.3.0.ez
+lib/rabbitmq/plugins/recon-2.3.2.ez
+lib/rabbitmq/plugins/sockjs-0.3.4.ez
 lib/rabbitmq/sbin/
 lib/rabbitmq/sbin/rabbitmq-defaults
 lib/rabbitmq/sbin/rabbitmq-env
@@ -201,23 +193,35 @@ sbin/rabbitmqctl
 share/doc/rabbitmq/
 share/doc/rabbitmq/INSTALL
 share/doc/rabbitmq/LICENSE
+share/doc/rabbitmq/LICENSE-APACHE2
 share/doc/rabbitmq/LICENSE-APACHE2-ExplorerCanvas
+share/doc/rabbitmq/LICENSE-APACHE2-excanvas
+share/doc/rabbitmq/LICENSE-APL2-Rebar
 share/doc/rabbitmq/LICENSE-APL2-Stomp-Websocket
-share/doc/rabbitmq/LICENSE-Apache-Basho
 share/doc/rabbitmq/LICENSE-BSD-base64js
 share/doc/rabbitmq/LICENSE-BSD-glMatrix
+share/doc/rabbitmq/LICENSE-BSD-recon
+share/doc/rabbitmq/LICENSE-EPL-OTP
+share/doc/rabbitmq/LICENSE-ISC-cowboy
+share/doc/rabbitmq/LICENSE-MIT-EJS
 share/doc/rabbitmq/LICENSE-MIT-EJS10
+share/doc/rabbitmq/LICENSE-MIT-Erlware-Commons
 share/doc/rabbitmq/LICENSE-MIT-Flot
 share/doc/rabbitmq/LICENSE-MIT-Mochi
+share/doc/rabbitmq/LICENSE-MIT-Mochiweb
+share/doc/rabbitmq/LICENSE-MIT-Sammy
 share/doc/rabbitmq/LICENSE-MIT-Sammy060
-share/doc/rabbitmq/LICENSE-MIT-eldap
+share/doc/rabbitmq/LICENSE-MIT-SockJS
+share/doc/rabbitmq/LICENSE-MIT-jQuery
 share/doc/rabbitmq/LICENSE-MIT-jQuery164
 share/doc/rabbitmq/LICENSE-MPL-RabbitMQ
-share/doc/rabbitmq/rabbitmq.config.example
+share/doc/rabbitmq/LICENSE-MPL2
 share/examples/rabbitmq/
 @sample ${SYSCONFDIR}/rabbitmq/
 share/examples/rabbitmq/rabbitmq-env.conf
 @sample ${SYSCONFDIR}/rabbitmq/rabbitmq-env.conf
+share/examples/rabbitmq/rabbitmq.config
+@sample ${SYSCONFDIR}/rabbitmq/rabbitmq.config
 @rcscript ${RCDIR}/rabbitmq
 @mode 700
 @owner _rabbitmq
